For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HUMAN DashboardHUMAN WebsiteRequest a Demo
Product GuidesEnforcer GuidesMobile SDKAPI ReferenceCustomer support
Product GuidesEnforcer GuidesMobile SDKAPI ReferenceCustomer support
  • User guides
    • About the Applications API
    • Getting started
    • Authentication
    • Quick reference
  • Account Defender API
  • Bot Defender API
  • Credential Intelligence API
  • Code Defender API
    • Code Examples
  • Enforce API
  • PCI DSS API
      • PUTUpdate header status
      • PUTUpdate script status
LogoLogo
Login
Login
HUMAN DashboardHUMAN WebsiteRequest a Demo
PCI DSS APIStatus

Update header status

PUT
https://api-gw.perimeterx.com/v1/pci/status/headers
PUT
/v1/pci/status/headers
$curl -X PUT https://api-gw.perimeterx.com/v1/pci/status/headers \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "headers": [
> {}
> ],
> "status": "authorized"
>}'
1{
2 "updated_headers_count": 1
3}
Update the status of the header associated with the given header ID.
Was this page helpful?
Previous

Update script status

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
headerslist of objectsRequired
An array of header ID objects that should be modified. Each header ID includes a page key and header name.
statusenumRequired
The status that the header should be updated to.
Allowed values:
notestringOptional
Additional information about the authorization.

Response

Success
updated_headers_countinteger

Errors

401
Unauthorized Error
422
Unprocessable Entity Error
500
Internal Server Error